Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API: Rückgabewert von GetDisplaymode

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SOLIDWORKS - DFMXpress
Autor Thema:   API: Rückgabewert von GetDisplaymode (308 mal gelesen)
Olls Lai Lolli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Olls Lai Lolli an!   Senden Sie eine Private Message an Olls Lai Lolli  Schreiben Sie einen Gästebucheintrag für Olls Lai Lolli

Beiträge: 272
Registriert: 07.05.2009

MS Windows 10 Prof.
Intel Xeon E5-1630 v 3 3.7 GHz
32 GB Ram
Nvidia Quadro M4000
SWX 2019 x64 SP 5
PDM Enterprise 2019 SP 3

erstellt am: 28. Aug. 2020 17:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

kann es sein, dass der Rückgabewert von GetDisplaymode2 nicht so funktionieren wie es in der Hilfe beschrieben ist?

Gemäß der Beschreibung der Enumeration für die Rückgabewerte soll bei einer schattierten Ansicht mit Kantendarstellung der Rückgabewert "7" zurück gegeben werden. Ich bekomme aber immer den Wert "3" zurück.

Ausprobiert habe ich das mit dem Code unten:

Code:

Option Explicit

Sub main()

    Dim swApp                  As SldWorks.SldWorks
    Dim swModel                As SldWorks.ModelDoc2
    Dim swDraw                  As SldWorks.DrawingDoc
    Dim swSelMgr                As SldWorks.SelectionMgr
    Dim swView                  As SldWorks.View

    Set swApp = CreateObject("SldWorks.Application")
    Set swModel = swApp.ActiveDoc
    Set swDraw = swModel
    Set swSelMgr = swModel.SelectionManager
    Set swView = swSelMgr.GetSelectedObject6(1, -1)

    Debug.Print "View = " + swView.Name
    Debug.Print "  Current mode = " + Str(swView.GetDisplayMode2)

End Sub


Hab ich ein Denkfehler, oder ist das ein Bug in der API?

Gruß OLL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 715
Registriert: 18.05.2005

SolidWorks 2020 x64 SP3.0
Dell Precision 5820
Intel Xeon W-2125 4x4GHz
NVIDIA Quadro P2000 5GB
32GB RAM
2x Dell U2412M, 24" TFT
Windows 10 Enterprise x64 1703
Microsoft Office 365 ProPlus
Microsoft Visual Studio Enterprise 2019

erstellt am: 31. Aug. 2020 16:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Olls Lai Lolli 10 Unities + Antwort hilfreich

Hallo
Das ist schon Richtig so.

Um feststellen, ob Kanten angezeigt werden, wenn sich diese Ansicht im schattierten Modus befindet, verwendet man GetDisplayEdgesInShadedMode Method (IView)

Lies dir auch die Remarks von SetDisplayMode3 Method (IView) durch.

Zitat:
The contents of a drawing view can be displayed in different modes, including Wireframe, HLR (Hidden Lines Removed), and HLV (Hidden Lines Visible), and Shaded. This is what the Mode argument indicates, and these values are contained in swDisplayMode_e. To display a drawing view shaded with edges, set swDrawingsDefaultDisplayTypeHLREdgesWhenShaded to True and set Mode to swSHADED.

Gruss Andreas

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Olls Lai Lolli
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Olls Lai Lolli an!   Senden Sie eine Private Message an Olls Lai Lolli  Schreiben Sie einen Gästebucheintrag für Olls Lai Lolli

Beiträge: 272
Registriert: 07.05.2009

MS Windows 10 Prof.
Intel Xeon E5-1630 v 3 3.7 GHz
32 GB Ram
Nvidia Quadro M4000
SWX 2019 x64 SP 5
PDM Enterprise 2019 SP 3

erstellt am: 01. Sep. 2020 18:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Asche auf mein Haupt.....

Da zeigt sich mal wieder: Wer lesen kann (und dies auch tut) ist klar im Vorteil.
Ich habe mir wirklich nur die mögliche Auswahl an Rückgabewerten angeschaut und munter in die Tasten gehauen....


Gruß OLL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz